//-----------------------------------------------------------------------------
// Defines
//-----------------------------------------------------------------------------

#define TRUE  1
#define FALSE 0

#define STARTTIMER1  TMC00   = 0x0C;
#define STARTTIMER2  TMC01   = 0x0C;
#define STOPTIMER1   TMC00   = 0x00;
#define STOPTIMER2   TMC01   = 0x00;

#define LED  P5

#define INITTIMER1   TMC00   = 0x00;   \
                     PRM00   = 0x01;   \
                     CRC00   = 0x00;   \
                     CR000   = 0x4E20; \
                     TOC00   = 0x00;   \
                     TMIF000 = FALSE;  \
                     TMMK000 = FALSE;
                     // stop and Clear Timer one
                     // clock selection: fx/2^2 (8.0000 MHz -> 2 MHz)
                     // register CR00x operates as compare register
                     // compare values for 10ms Intervall
                     // disable Timer two output
                     // clear interrupt request Bit Timer one
                     // enable Timer one Interrupt

#define INITTIMER2    TMC01   = 0x00;   \
                      PRM01   = 0x01;   \
                      CRC01   = 0x00;   \
                      CR001   = 0x30D4; \
                      TOC01   = 0x00;   \
                      TMIF001 = FALSE;  \
                      TMMK001 = FALSE;
                      // stop and Clear Timer two
                      // clock selection: fx/2^4 (8.0000 MHz ->  500 KHz)
                      // register CR00x operates as compare register
                      // compare values for 25ms Intervall
                      // disable Timer two output
                      // clear interrupt request Bit Timer two
                      // enable Timer two Interrupt
