//==============================================================================
// PROJECT      = Bootloader
// MODULE       = bl78k0_kx2_fdec.h
// SHORT DESC.  = Prototypes for filedecoder
// DEVICE       = 78K0/Kx2
// VERSION      = 1.0
// DATE         = 05.12.2006
// LAST CHANGE  =
// =============================================================================
// By:          NEC Electronics (Europe) GmbH
//              Arcadiastrasse 10
//              D-40472 Duesseldorf
// =============================================================================



#ifndef __BL78K0_KX2_FDEC_H
#define __BL78K0_KX2_FDEC_H

//*****************************************************************************
// function prototypes
//*****************************************************************************
__callt u08 asciiDecode(u08 ascii);
__callt u08 decodeReceivedBytes(u08 rx_byte);
u08 isEOF(void);
u08 calculateCHKSUM(u08 sum_bytes);
__callt void resetFileDecoder(void);
void resetAfterRecord(void);


#endif
