//==============================================================================
// PROJECT      = Bootloader
// MODULE       = bl78k0_kx2_help_fkt.h
// SHORT DESC.  = Prototypes for help functions
// DEVICE       = 78K0/Kx2
// VERSION      = 1.0
// DATE         = 05.12.2006
// LAST CHANGE  =
// =============================================================================
// By:          NEC Electronics (Europe) GmbH
//              Arcadiastrasse 10
//              D-40472 Duesseldorf
// =============================================================================



#ifndef __BL78K0_KX2_HELP_H
#define __BL78K0_KX2_HELP_H

#include "bl78k0_kx2_user.h"

//*****************************************************************************
// function prototypes
//*****************************************************************************
  __callt void calcCRC(u08 val);
  __callt void resetCRC(void);
  __callt u16 getCRC(void);
  __callt u08 getASCII(u08 byte_nibble);



#endif
