/************************************************************************************/
/*                                                                                  */
/* File:        spl78k0_types.h                                                     */
/* Project:     Selfprogramming application note, single voltage flash              */
/* Device:      78k0/Kx2                                                            */
/* Version:     1v06                                                                */
/* Date:        12.09.2006 09:31                                                    */
/*                                                                                  */
/* Copyright:   (c)2004-2006 by NEC Electronics (Europe) GmbH. All rights reserved. */
/*                                                                                  */
/* Description: basic type definitions used in the selfprogramming library          */
/*                                                                                  */
/* Environment: IAR environment for 78K0 and 78K0S (version V3.xx and V4.xx)        */
/*                                                                                  */
/************************************************************************************/

#ifndef __SPL78K0_TYPES_H_INCLUDED
#define __SPL78K0_TYPES_H_INCLUDED

//----------------------------------------------------------------------------
// type definitions
//----------------------------------------------------------------------------
typedef unsigned char       u08;
typedef unsigned int        u16;
typedef unsigned long int   u32;


#endif
